# TODO:
# - examples subpackage
#
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		fname	Mako
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python-%{fname}
Version:	0.7.3
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/M/Mako/%{fname}-%{version}.tar.gz
# Source0-md5:	daf7cc50f997533b573f9b40193139a2
URL:		http://www.makotemplates.org/
%if %{with python2}
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package -n python3-%{fname}
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Group:		Libraries/Python

%description -n python3-%{fname}
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -n python3-%{fname} -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%prep
%setup -qn %{fname}-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%{__python} setup.py \
	build -b build-2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/mako-render{,-2}

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/mako-render{,-3}
%endif

%if %{with python2}
ln -sf mako-render-2 $RPM_BUILD_ROOT%{_bindir}/mako-render
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render
%attr(755,root,root) %{_bindir}/mako-render-2
%{py_sitescriptdir}/mako
%{py_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{fname}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render-3
%{py3_sitescriptdir}/mako
%{py3_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%endif
%changelog
* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 8319a0a
up to 0.7.3

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 711dac7
- release 2 (by relup.sh)

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 4412903
- updated to 0.7.2

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 81d83ea
- Version: 0.4.1

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> dd250cc
- up to 0.3.6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7a3e8df
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8da2c16
- release 2

* Fri May 14 2010 sparky <sparky@pld-linux.org> 37ecc68
- BR: python-devel, python3-devel, python3-modules

* Sat Mar 27 2010 Artur Frysiak <artur@frysiak.net> e5a87b5
- updated to 0.3.2
- build python2 and python3 versions from one spec

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> dc6396f
- 0.3.1

* Sat Nov 14 2009 Artur Frysiak <artur@frysiak.net> cabdc99
- updated to 0.2.5

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 1915287
- up to 0.2.4
- %files

* Mon Apr 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e2f3cc
- pl fix

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 11e17c9
- new

